Packages - Bug #2143

systemd-240.34-3.parabola1-i686 not building with libremakepkg

2019-01-18 02:39 PM - GNUtoo

Status: fixed % Done: 0%
Priority: bug

Assignee:

Category:

Description

$ sudo libremakepkg -n parabola-i686

(parabola-i686 is an i686 chroot)

results in:

[...]

342/514 test-user-util FAIL 0.38 s (killed by signal 6 SIGABRT)
343/514 test-hostname-util OK 0.05 s
344/514 test-process-util OK 9.74 s
345/514 test-terminal-util OK 0.05 s
346/514 test-path-lookup OK 0.03 s
347/514 test-pretty-print OK 0.03 s
348/514 test-uid-range OK 0.03 s
349/514 test-cap-list OK 0.03 s
350/514 test-socket-util OK 0.05 s
351/514 test-in-addr-util OK 0.03 s
352/514 test-barrier SKIP 0.03 s
353/514 test-tmpfiles OK 0.13 s
354/514 test-namespace SKIP 0.04 s
355/514 test-verbs OK 0.03 s
356/514 test-install-root OK 1.03 s
357/514 test-acl-util OK 0.19 s
358/514 test-seccomp OK 0.03 s
359/514 test-rlimit-util OK 0.03 s
360/514 test-signal-util OK 0.03 s
361/514 test-selinux OK 0.04 s
362/514 test-sizeof OK 0.01 s
363/514 test-bpf SKIP 0.03 s
364/514 test-watch-pid SKIP 0.03 s
365/514 test-hashmap OK 0.23 s
366/514 test-set OK 0.03 s
367/514 test-set-disable-mempool OK 0.03 s
368/514 test-bitmap OK 0.03 s
369/514 test-xml OK 0.03 s
370/514 test-list OK 0.03 s
371/514 test-procfs-util OK 0.03 s
372/514 test-unaligned OK 0.03 s
373/514 test-tables OK 0.03 s
374/514 test-prioqgq OK 0.08 s
375/514 test-fileio OK 0.04 s
376/514 test-time-util OK 0.43 s
377/514 test-clock OK 0.03 s
378/514 test-architecture OK 0.05 s
379/514 test-log OK 0.04 s
380/514 test-firewall-util OK 0.03 s
381/514 test-ellipsize OK 0.08 s
382/514 test-date OK 0.13 s
383/514 test-sleep OK 0.03 s
384/514 test-replace-var OK 0.03 s
385/514 test-calendarspec OK 0.08 s
386/514 test-strip-tab-ansi OK 0.03 s
387/514 test-daemon OK 0.54 s
test—-cgroup—-mask
test-cgroup-util
test-env-util
test-strbuf
test-strv
test-path-util
test-path
test-execute
test-siphash24
test-strxcpyx
test-watchdog
test-sched-prio
test-conf-files
test-conf-parser
test-af-list
test-arphrd-1list
test-ip-protocol-list
test-journal-importer
test-libudev
test-1d128
test-hash
test-gcrypt-util
test—-umount
test-bus-util
test—-sd-hwdb
test-journal
test-journal-send
test-journal-syslog
test-journal-match
test-journal-enum
test-journal-stream
test-journal-flush
test-journal-init
test-journal-config
test-journal-verify

test-journal-interleaving

test—-mmap-cache
test-catalog
test—-compress
test-compress—-benchmark
test-audit-type
test-bus-address
test-bus-marshal
test-bus-signature
test-bus-watch-bind
test-bus-chat
test-bus-cleanup
test-bus-error
test-bus-track
test-bus-server
test-bus-objects
test-bus-vtable
test-bus-gvariant
test-bus-creds
test-bus-match
test-bus-introspect
test—-event
test-netlink
test-local-addresses
test-resolve
test-login
test-sd-device
test-sd-device-thread
test-udev-device-thread
test-sd-device-monitor
test-bus-vtable-cc
test-dhcp-option
455/514 test-sd-dhcp-lease

456/514 test-dhcp-client

457/514 test-dhcp-server

458/514 test-ipv4ll

459/514 test-ndisc-rs

460/514 test-ndisc-ra

461/514 test-dhcp6-client

462/514 test-11ldp

463/514 test-login-shared

464/514 test-login-tables

465/514 test-libsystemd-sym
466/514 test-libudev-sym

467/514 parse-hwdb

468/514 check-help-systemd-analyze
469/514 check-help-systemd-cat
470/514 check-help-journalctl
471/514 check-help-systemd-dissect
472/514 check-help-resolvectl
473/514 check-help-loginctl
474/514 check-help-systemd-inhibit
475/514 check-help-bootctl

476/514 check-help-systemd-socket—-activate

477/514 check-help-systemctl

478/514 check-help-portablectl
479/514 check-help-hostnamectl
480/514 check-help-localectl

481/514 check-help-timedatectl
482/514 check-help-machinectl
483/514 check—-help-systemd-pull
484/514 check-help-systemd-import
485/514 check-help-systemd-import—-fs
486/514 check-help-systemd-export

487/514 check-help-systemd-journal-upload

488/514 check-help-systemd-journal-remote

489/514 check-help-systemd-journal-gatewayd

490/514 check-help-coredumpctl

491/514 check-help-systemd-binfmt
492/514 check-help-systemd-sysctl
493/514 check-help-systemd-detect-virt
494/514 check-help-systemd-delta
495/514 check-help-systemd-escape
496/514 check-help-systemd-notify
497/514 check-help-systemd-i1d128
498/514 check-help-systemd-path

499/514 check-help-systemd-ask-password
500/514 check-help-systemd-tty—-ask-password-agent OK

501/514 check-help-systemd-cgls

502/514 check-help-systemd-cgtop
503/514 check-help-systemd-mount
504/514 check-help-systemd-run

505/514 check-help-systemd-stdio-bridge
506/514 check-help-busctl

507/514 check-help-systemd-sysusers
508/514 check-help-systemd-tmpfiles
509/514 check-help-systemd-hwdb

510/514 check-help-systemd-socket-proxyd
511/514 check-help-systemd-udevd
512/514 check-help-udevadm

513/514 check-help-systemd-nspawn
514/514 check-help-networkctl

Ok: 494
Expected Fail: 0
Fail: 1
Unexpected Pass: 0
Skipped: 19
Timeout: 0
Full log written to /build/systemd/src/build/meson-logs/testlog.txt
==> ERROR: A failure occurred in check ().

Aborting...
This might be due to library issue (SIGABRT).

I've tried building it twice. | can try again after recreating the chroot.

Related issues:

Copied from Packages - Bug #2142: cups-filters-1.21.6-1.par1-i686 not buildin... fixed
Copied to Packages - Bug #2144: mplayer-38101-2.parabola1-i686 not building w... fixed
History

#1 - 2019-01-18 02:39 PM - GNUtoo
- Copied from Bug #2142: cups-filters-1.21.6-1.par1-i686 not building with libremakepkg added

#2 - 2019-01-18 02:45 PM - GNUtoo
- Copied to Bug #2144: mplayer-38101-2.parabola1-i686 not building with libremakepkg added

#3 - 2019-01-19 12:25 AM - bill-auger

i have no idea what that error is about - yesterday, i had only to fudge a few packages (libglvnd and python-pyparsing IIRC) to get i686 packages to
build, including systemd - that is in libre now - i think we concluded the problem was that the packages were only in [build-support] which i had not
enabled

today x86_64 was completely borked - i had to burn the entire chroot tree including the read-only root replica - maybe that would help with these
problems on i686

#4 - 2019-01-19 03:36 AM - bill-auger

- Status changed from open to fixed
